<#ibiztemplate>
PUBOBJ=Vue2.PSVue2AppCreateAppBat
TARGET=PSSYSAPP
</#ibiztemplate>
"use strict";
// 是否本地开发或者uac统一认证登陆
var IBizEnvironment = {
    // 是否本地开发
    LocalDeve: false,
    // 是否启用UAC认证
    UacAuth: false,
    // 应用名称
    AppName: '${app.getPKGCodeName()}',
    // 应用基础路径
    BaseUrl: document.location.pathname.split('/')[1],
    // 代理地址
    Proxy: '',
    // 系统名称
    SysName: '${sys.getCodeName()}',
    // 远程登录地址，本地开发调试使用
    RemoteLogin: '/api/login',
    // 菜单计数器最大显示数字
    AppMenuUICounterMaxNumber: 9999,
    // 是否可编辑头部菜单栏
    isEditableHeaderMenu: false,
    // 头部菜单栏请求数据路径
    HeaderMenuDataUrl: '',
    // 显示行编辑序号
    showEditRowOrdinal: true,
    // 表单项权限标记(true or false)
    formItemPrivTag: <#if app.getPSApplicationUI().isOutputFormItemUpdatePrivTag()??>${app.getPSApplicationUI().isOutputFormItemUpdatePrivTag()?c}<#else>flase</#if>,   
    // 表单项无权限显示模式(1: 显示空、*或内容, 2: 隐藏)
    formItemNoPrivDisplayMode: ${app.getPSApplicationUI().getFormItemNoPrivDisplayMode()},  
    <#if sys.getPSSFId() == "DOTNETCORE">
    <#if !app.getPSAppUtilPage("LOGIN",true)??>
    // session失效后后台登陆重定向 .NET 版
    LoginRedirect: '/ibizutil/login.html',
    </#if>
    <#if !app.getPSAppUtilPage("LOGOUT",true)??>
    // 退出登录，注销session .NET 版
    Logout: '/ibizutil/logout',
    </#if>
    <#if app.getAllPSAppUtilPages()??>
    <#list app.getAllPSAppUtilPages() as util>
    <#assign url = "">
    <#if util.getTargetType() == "APPVIEW">
    <#assign appview = util.getPSAppView()>
    <#assign url = "/" + app.getPKGCodeName()?lower_case + "/pages/" + filename(appview.getPSAppModule().codeName) + "/" + filename(appview.codeName) + "/" + filename(appview.codeName) + ".html">
    <#elseif util.getTargetType() == "PAGEURL">
    <#assign url = util.getPageUrl()>
    </#if>
    <#if util.getName() == "LOGIN">
    // session失效后后台登陆重定向 .NET 版
    CustomLoginRedirect: true,
    LoginRedirect: '${url}',
    <#elseif util.getName() == "LOGOUT">
    // 退出登录，注销session .NET 版
    Logout: '${url}',
    </#if>
    </#list>
    </#if>
    // 登陆地址，session、权限等管理 .NET 版
    AppLogin: '/ibizutil/login.do',
    // 初始化系统，超级管理员账号等 .NET 版
    InitSystemEnv: '/ibizutil/initsystemenv.do',
    // 安装系统环境数据 .NET 版
    InstallRTData: '/ibizutil/installrtdata.do',
    // PDF文件打印 .NET 版
    PDFPrint: '/ibizutil/print.pdf',
    // PDF报表文件 .NET 版
    PDFReport: '/ibizutil/report.pdf',
    // 文件导出  .NET 版
    ExportFile: '/ibizutil/exportfile',
    // 文件导出  .NET 版
    ExportFile2: '/ibizutil/exportfile2',
    // 文件导出  .NET 版
    ExportFile3: '/ibizutil/exportfile3',
    // 文件上传  .NET 版
    UploadFile: '/ibizutil/uploadfile.do',
    // 导出实体数据导入模板  .NET 版
    ExportExcel: '/ibizutil/exportexcel',
    // 文件上传 .NET 版
    UploadDEData: '/ibizutil/uploaddedata.do',
    <#elseif sys.getPSSFId() == "J2EE6">  
    // 登陆地址，session、权限等管理
    AppLogin: '/${app.getPKGCodeName()?lower_case}/ibizutil/login.do',
    <#if !app.getPSAppUtilPage("LOGIN",true)??>
    // session失效后后台登陆重定向
    LoginRedirect: '/${app.getPKGCodeName()?lower_case}/ibizutil/login.html',
    </#if>
    <#if !app.getPSAppUtilPage("LOGOUT",true)??>
    // 退出登录，注销session
    Logout: '/${app.getPKGCodeName()?lower_case}/ibizutil/logout',
    </#if>
    <#if app.getAllPSAppUtilPages()??>
    <#list app.getAllPSAppUtilPages() as util>
    <#assign url = "">
    <#if util.getTargetType() == "APPVIEW">
    <#assign appview = util.getPSAppView()>
    <#assign url = "pages/" + filename(appview.getPSAppModule().codeName) + "/" + filename(appview.codeName) + "/" + filename(appview.codeName) + ".html">
    <#elseif util.getTargetType() == "PAGEURL">
    <#assign url = util.getPageUrl()>
    </#if>
    <#if util.getName() == "LOGIN">
    // session失效后后台登陆重定向
    CustomLoginRedirect: true,
    LoginRedirect: '/${app.getPKGCodeName()?lower_case}/${url}',
    <#elseif util.getName() == "LOGOUT">
    // 退出登录，注销session
    Logout: '/${app.getPKGCodeName()?lower_case}/${url}',
    </#if>
    </#list>
    </#if>
    // 初始化系统，超级管理员账号等
    InitSystemEnv: '/${app.getPKGCodeName()?lower_case}/ibizutil/initsystemenv.do',
    // 安装系统环境数据
    InstallRTData: '/${app.getPKGCodeName()?lower_case}/ibizutil/installrtdata.do',
    //  PDF文件打印
    PDFPrint: '/${app.getPKGCodeName()?lower_case}/ibizutil/print.pdf',
    // PDF报表文件
    PDFReport: '/${app.getPKGCodeName()?lower_case}/ibizutil/report.pdf',
    // 文件导出
    ExportFile: '/${app.getPKGCodeName()?lower_case}/ibizutil/exportfile',
    // 文件导出
    ExportFile2: '/${app.getPKGCodeName()?lower_case}/ibizutil/exportfile2',
    // 文件导出
    ExportFile3: '/${app.getPKGCodeName()?lower_case}/ibizutil/exportfile3',
    // 文件上传
    UploadFile: '/${app.getPKGCodeName()?lower_case}/ibizutil/uploadfile.do',
    // 导出实体数据导入模板
    ExportExcel: '/${app.getPKGCodeName()?lower_case}/ibizutil/exportexcel',
    // 文件上传
    UploadDEData: '/${app.getPKGCodeName()?lower_case}/ibizutil/uploaddedata.do',
    <#if sys.hasPSWFEngineType("ACTIVITI")>
    // Activiti工作流图片  J2EE6 版
    WfActivitiTraceChart: '/${app.getAppFolder()?lower_case}/ibizutil/wfactivititracechart.do',
    </#if>
    </#if>
};